#pragma once

#define MOSYS_REBOOT_MAGIC1         0xFEE1DEAD
#define MOSYS_REBOOT_MAGIC2         0x3078544A

#define MOSYS_REBOOT_CMD_HALT       0xCDEF0123
#define MOSYS_REBOOT_CMD_KEXEC      0x45584543
#define MOSYS_REBOOT_CMD_POWER_OFF  0x4321FEDC
#define MOSYS_REBOOT_CMD_RESTART    0x01234567
#define MOSYS_REBOOT_CMD_RESTART2   0xA1B2C3D4
#define MOSYS_REBOOT_CMD_SW_SUSPEND 0xD000FCE1
